Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service.hornetq
Class HornetQTaskServer

    java.lang.Object
      org.jbpm.task.service.TaskServer
          org.jbpm.task.service.hornetq.BaseHornetQTaskServer
              org.jbpm.task.service.hornetq.HornetQTaskServer

All Implemented Interfaces:
  Runnable

    public class HornetQTaskServer

extends BaseHornetQTaskServer
implements Runnable

Field Summary

Fields inherited from class org.jbpm.task.service.hornetq.BaseHornetQTaskServer
`SERVER_TASK_COMMANDS_QUEUE`

Constructor Summary
`HornetQTaskServer(TaskService service, int port)`
`HornetQTaskServer(TaskService service, int port, org.hornetq.core.config.Configuration configuration)`
`HornetQTaskServer(TaskService service, String host, int port)`
`HornetQTaskServer(TaskService service, String host, int port, org.hornetq.core.config.Configuration configuration)`

Method Summary
`void` | `addEventListener(TaskEventListener listener)`

Methods inherited from class org.jbpm.task.service.hornetq.BaseHornetQTaskServer
`isRunning, run, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.Runnable
`run`

Constructor Detail

### HornetQTaskServer

    public HornetQTaskServer(TaskService service,
                             int port)

### HornetQTaskServer

    public HornetQTaskServer(TaskService service,
                             String host,
                             int port)

### HornetQTaskServer

    public HornetQTaskServer(TaskService service,
                             int port,
                             org.hornetq.core.config.Configuration configuration)

### HornetQTaskServer

    public HornetQTaskServer(TaskService service,
                             String host,
                             int port,
                             org.hornetq.core.config.Configuration configuration)

Method Detail

### addEventListener

    public void addEventListener(TaskEventListener listener)

  Specified by:
    `addEventListener` in class `TaskServer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.